Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ef724be5-c5d9-4f3a-9e0d-9defa0cc2e6f",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "03123bf6-7b8b-47eb-a97a-d1549f291e62",
"company_code": "sample string 5",
"company": {
"id": "faea491c-bd8e-4303-b768-2cc81ccc25dd",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-16T11:40:06.8062966+00:00",
"sales_territory_id": "7861aaa5-908a-4730-9bc9-3f26ccbb9133",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "32d8165a-88f2-44bb-83a5-ca0e1af88080",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "4917efc9-ad1a-4657-ba65-d95cbf6ec34f",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "96d753f9-4b6f-4ff8-8863-c04577e1c989",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a2a89951-3562-4459-893a-91cf1fbc0da5",
"db_currency_id": "16315374-1a83-4357-8544-3245665fe91c",
"db_language_id": "f70e01f0-f638-40d8-bccb-1f207a03c01d",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T11:40:06.8235341+00:00"
},
"modified_dateutc": "2026-11-16T11:40:06.8235341+00:00"
},
"marketing_segment_id": "181313d9-5e56-44f1-be0d-5bd18d4e1f9f",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "f54123a6-5355-4812-ab08-772afa8dd973",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "7d158eab-3116-454b-8ddf-96d605a6c396",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "fe2a6032-b514-425b-b6ff-d766693ca153",
"db_country_code": "sample string 28",
"feelist_id": "2f9d98d1-8590-4f02-87ae-2f58a4b298a2",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "a6798ff2-4c2c-4deb-8031-020988e70e6c",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "7eca1f54-5bd5-4393-906e-2fd7f17d5ca0",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-16T11:40:06.8235341+00:00",
"db_currency_id": "4192c7de-348c-4d7c-b7f0-706a9dc9e9d7",
"db_currency_code": "sample string 10"
},
"company_type_id": "382744be-c5e0-4d8a-8e70-f5bf941d5243",
"company_type_name": "sample string 32",
"company_type": {
"id": "e2cee088-beaa-48dc-b209-51b902a4edc5",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "82f6d1ac-597e-4368-a448-e7ea8c7e11c6",
"sales_organization_code": "sample string 5"
},
"db_language_id": "9a3d5fe5-432f-41d0-a0b0-06ddfa88477e",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "06e0d8fc-ef7e-488b-886d-904f481d2446",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "563532c3-d476-4c81-82be-739701b0ae0b",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "89556981-6128-4eff-bd38-9acd29b61303",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-16T11:40:06.8235341+00:00"
},
"company_sector_id": "ed120b6f-c655-4260-a4c5-a106af768d8a",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "295a78cb-d1c9-4dd2-b3b8-fb9ad3709760",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "e31970cc-09fe-4cb7-b83c-caf6ec8eed03",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "2fbe835d-2218-4928-b468-b027a8f12fc1",
"account_manager_user_code": "sample string 56",
"company_status_id": "1ed16b91-3f98-4e2f-946c-9217495287a8",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-16T11:40:06.8235341+00:00",
"id2": 60
},
"db_language_id": "8cd4a375-e8a6-4957-8a06-9aa35c095c70",
"db_language_code": "sample string 7",
"db_title_id": "22ce100f-96d1-455f-b8d5-fecc35cff5e0",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-16T11:40:06.8235341+00:00",
"create_date": "2026-11-16T11:40:06.8235341+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-16T11:40:06.8235341+00:00"
}